Get Ticker Information
curl --request GET \
--url https://api.kraken.com/0/public/Tickerimport requests
url = "https://api.kraken.com/0/public/Ticker"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kraken.com/0/public/Ticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/public/Ticker"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [],
"result": {
"XXBTZUSD": {
"a": [
"30300.10000",
"1",
"1.000"
],
"b": [
"30300.00000",
"1",
"1.000"
],
"c": [
"30303.20000",
"0.00067643"
],
"v": [
"4083.67001100",
"4412.73601799"
],
"p": [
"30706.77771",
"30689.13205"
],
"t": [
34619,
38907
],
"l": [
"29868.30000",
"29868.30000"
],
"h": [
"31631.00000",
"31631.00000"
],
"o": "30502.80000"
}
}
}Market Data
Get Ticker Information
Get ticker information for all or requested markets. To clarify usage, note that
- Today’s prices start at midnight UTC
- Leaving the pair parameter blank will return tickers for all tradeable assets on Kraken
GET
/
public
/
Ticker
Get Ticker Information
curl --request GET \
--url https://api.kraken.com/0/public/Tickerimport requests
url = "https://api.kraken.com/0/public/Ticker"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kraken.com/0/public/Ticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/public/Ticker"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [],
"result": {
"XXBTZUSD": {
"a": [
"30300.10000",
"1",
"1.000"
],
"b": [
"30300.00000",
"1",
"1.000"
],
"c": [
"30303.20000",
"0.00067643"
],
"v": [
"4083.67001100",
"4412.73601799"
],
"p": [
"30706.77771",
"30689.13205"
],
"t": [
34619,
38907
],
"l": [
"29868.30000",
"29868.30000"
],
"h": [
"31631.00000",
"31631.00000"
],
"o": "30502.80000"
}
}
}Query Parameters
Asset pair to get data for (optional, default: all tradeable exchange pairs)
Controls whether response keys and asset identifier fields use Kraken's internal names or display names.
- Omitted (default): internal names are used. Asset keys use legacy
X/Z-prefixed format (XXBT,ZUSD). Pair keys use the internal format (XXBTZUSD). Asset identifier fields (base,quote,fee_volume_currency) also use internal names. assetVersion=1: display names are used. Asset keys become their canonical display names (BTC,USD). Pair keys become the slash-separated display format (BTC/USD). On/public/AssetPairs, thebase,quote, andfee_volume_currencyfields also switch to display names.
Only assetVersion=1 is currently supported. The altname and wsname fields are not affected by this parameter.
Available options:
1 This parameter is required on requests for tokenized pairs, i.e. xStocks. If asset_class is provided without the pair parameter, all pairs for that asset class will be returned.
Available options:
tokenized_asset, forex Was this page helpful?